Skip to main content
PUT
/
v1
/
scenarios
/
{scenario}
Remplacer un scénario
curl --request PUT \
  --url https://api.setteo.io/v1/scenarios/{scenario} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Qualification WhatsApp",
  "platform": "whatsapp",
  "provider": "meta",
  "nodes": [
    {
      "id": "start",
      "type": "trigger"
    }
  ],
  "edges": [
    {
      "source": "start",
      "target": "message_1"
    }
  ],
  "is_active": true
}
'
import requests

url = "https://api.setteo.io/v1/scenarios/{scenario}"

payload = {
"name": "Qualification WhatsApp",
"platform": "whatsapp",
"provider": "meta",
"nodes": [
{
"id": "start",
"type": "trigger"
}
],
"edges": [
{
"source": "start",
"target": "message_1"
}
],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Qualification WhatsApp',
platform: 'whatsapp',
provider: 'meta',
nodes: [{id: 'start', type: 'trigger'}],
edges: [{source: 'start', target: 'message_1'}],
is_active: true
})
};

fetch('https://api.setteo.io/v1/scenarios/{scenario}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 5,
    "name": "Qualification WhatsApp",
    "platform": "whatsapp",
    "provider": "meta",
    "nodes": [
      {
        "id": "start",
        "type": "trigger"
      }
    ],
    "edges": [
      {
        "source": "start",
        "target": "message_1"
      }
    ],
    "is_active": true,
    "tracked_tag_ids": [
      1,
      2
    ],
    "webhook_url": "https://app.setteo.io/webhooks/scenarios/abc123",
    "created_at": "2026-07-08T12:00:00Z",
    "updated_at": "2026-07-08T12:00:00Z"
  }
}
{
"message": "Unauthenticated."
}
{
"message": "Unauthenticated."
}
{
"message": "Unauthenticated."
}
{
"message": "The given data was invalid.",
"errors": {
"phone": [
"The phone has already been taken."
]
}
}
{
"message": "Unauthenticated."
}
{
"message": "Unauthenticated."
}

Authorizations

Authorization
string
header
required

Token API généré depuis votre espace de travail Setteo.

Path Parameters

scenario
integer
required

Identifiant du scénario.

Example:

1

Body

application/json
name
string
Maximum string length: 255
Example:

"Qualification WhatsApp"

platform
enum<string>
Available options:
whatsapp,
instagram
Example:

"whatsapp"

provider
string | null
Maximum string length: 255
Example:

"meta"

nodes
object[]
Example:
[{ "id": "start", "type": "trigger" }]
edges
object[] | null
Example:
[
{ "source": "start", "target": "message_1" }
]
is_active
boolean
Example:

true

Response

Scénario mis à jour.

data
object
required